Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 333871 - Review Request: python-minihallib - Library to handle HAL devices and events
Review Request: python-minihallib - Library to handle HAL devices and events
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://pypi.python.org/pypi/minihallib
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 07:14 EDT by Andy Shevchenko
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.1.8-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-09 18:43:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2007-10-16 07:14:06 EDT
Spec URL:
ftp://toaster.asplinux.com.ua/pub/people/andy/extras/python-minihallib.spec
SRPM URL:
ftp://toaster.asplinux.com.ua/pub/people/andy/extras/python-minihallib-0.1.7-
1.fc7.src.rpm
Decription:
Python threaded library to handle HAL devices and their events.
Comment 1 Parag AN(पराग) 2007-10-16 07:38:49 EDT
mock build went fine for i386

rpmlint complained 
python-minihallib.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/minihallib/HALEventerThread.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python-minihallib.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/minihallib/HALManager.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

Comment 2 Parag AN(पराग) 2007-10-16 07:52:51 EDT
1) For setuptools look at its packaging guidelines
http://fedoraproject.org/wiki/Packaging/Python/Eggs

2) Remove CFLAGS as this package is not compiling anything.

Comment 3 Andy Shevchenko 2007-10-16 09:50:27 EDT
Please, review temporary package:
ftp://toaster.asplinux.com.ua/pub/people/andy/extras/python-minihallib-0.1.7-
2.0.120asp.src.rpm

Note: it is contained modified tarball. I'll put these changed into upstream 
under version 0.1.8 after you reference.
Comment 4 Andy Shevchenko 2007-10-16 11:13:29 EDT
Ok. I've rechecked the new package by rpmlint. I consider is now good.
I've put last release here:
ftp://toaster.asplinux.com.ua/pub/people/andy/extras/python-minihallib-0.1.8-
1.fc7.src.rpm
Comment 5 Parag AN(पराग) 2007-10-16 23:59:29 EDT
Build log from new SRPM showed
warning: File listed twice: /usr/lib/python2.5/site-packages/minihallib

Use only %{python_sitelib}/* in %files as suggested in sample SPEC given in eggs
guidelines.
Comment 6 Andy Shevchenko 2007-10-17 02:09:11 EDT
I've fixed this issue here:
ftp://toaster.asplinux.com.ua/pub/people/andy/extras/python-minihallib-0.1.8-
2.fc7.src.rpm
Comment 7 Parag AN(पराग) 2007-10-17 04:18:41 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
815cf1a0c7d289f6f9bafc504066a308  minihallib-0.1.8.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package  python-minihallib-0.1.8-2.fc8 ->
  Requires: dbus-glib >= 0.62 dbus-python >= 0.62 hal >= 0.5.6 python(abi) = 2.5
+ Not a GUI app.

APPROVED.

Comment 8 Andy Shevchenko 2007-10-17 04:31:44 EDT
New Package CVS Request
=======================
Package Name: python-minihallib
Short Description: Library to handle HAL devices and events
Owners: andriy
Branches: F-7 FC-6
InitialCC:
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-10-17 12:32:34 EDT
cvs done.
Comment 10 Andy Shevchenko 2007-10-18 02:40:03 EDT
Thank you for review.

P.S. koji logs:
http://koji.fedoraproject.org/koji/taskinfo?taskID=201599
Comment 11 Fedora Update System 2007-10-24 03:01:54 EDT
python-minihallib-0.1.8-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-minihallib'
Comment 12 Fedora Update System 2007-11-09 18:43:40 EST
python-minihallib-0.1.8-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.